krsort
list
Array Functions
PHP Manual

# ksort

(PHP 4, PHP 5)

ksort — Sort an array by key

### Description

bool ksort ( array `&$array` [, int `$sort_flags` ] )

Sorts an array by key, maintaining key to data correlations. This is useful mainly for associative arrays.

### Parameters

`array`

  The input array.

`sort_flags`

  You may modify the behavior of the sort using the optional parameter `sort_flags` , for details see sort().

### Return Values

Returns `TRUE` on success or `FALSE` on failure.

### ChangeLog

Version | Description
--- | ---
4.0.0 | The optional `sort_flags` parameter was added.

### Examples

Example #1 ksort() example

`<?php
$fruits = array("d"=>"lemon", "a"=>"orange", "b"=>"banana", "c"=>"apple");
ksort($fruits);
foreach ($fruits as $key => $val) {
echo "$key = $val\n";
}
?>`

The above example will output:

    a = orange
    b = banana
    c = apple
    d = lemon

### See Also

- asort()
- arsort()
- krsort()
- uksort()
- sort()
- natsort()
- rsort()

krsort
list
Array Functions
PHP Manual